Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantRequest

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantRequest

    public class AssistantRequest
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `FIELDS` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssistantRequest​(AssistantAction assistantAction, java.lang.String data)` |
  `AssistantRequest​(AssistantAction assistantAction, java.lang.String data, AssistantButton button)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AssistantAction` | `getAssistantAction()` |
  `AssistantButton` | `getButton()` |
  `int` | `getContractId()` |
  `org.json.JSONObject` | `getData()` |
  `java.math.BigDecimal` | `getFieldBigDecimal​(java.lang.String key)` |
  `java.time.LocalDate` | `getFieldDate​(java.lang.String key)` |
  `int` | `getFieldInt​(java.lang.String key)` |
  `Period` | `getFieldPeriod​(java.lang.String key)` |
  `java.lang.String` | `getFieldString​(java.lang.String key)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIELDS

    public static final java.lang.String FIELDS
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AssistantRequest

    public AssistantRequest​(AssistantAction assistantAction, java.lang.String data)

  - ### AssistantRequest

    public AssistantRequest​(AssistantAction assistantAction, java.lang.String data, AssistantButton button)

- ## Method Details

  - ### getAssistantAction

    public AssistantAction getAssistantAction()

  - ### getButton

    public AssistantButton getButton()

  - ### getData

    public org.json.JSONObject getData()

  - ### getContractId

    public int getContractId()

  - ### getFieldInt

    public int getFieldInt​(java.lang.String key)

  - ### getFieldString

    public java.lang.String getFieldString​(java.lang.String key)

  - ### getFieldDate

    public java.time.LocalDate getFieldDate​(java.lang.String key)

  - ### getFieldPeriod

    public Period getFieldPeriod​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getFieldBigDecimal

    public java.math.BigDecimal getFieldBigDecimal​(java.lang.String key)